# GET /metrics/checkout-conversion

**Get checkout conversion metrics**

Returns timeseries data for checkout conversion in a given date range. Trends have a daily granularity.
The conversion rate for checkouts in the period. A checkout is considered converted when a payment is successfully completed.

When `to` and `from` are the same, returns an empty timeseries.

**Required permissions:** `metrics.read`

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `from` | string (date) | required | Return data from a specific date. Pass an RFC 3339 full-date string. Interpreted at 00:00 UTC. Must be before or the same as `to`. |
| `to` | string (date) | required | Return data up to a specific date. Pass an RFC 3339 full-date string. Interpreted as 00:00 UTC. Must be after or the same as `from`. |

## Response (200)

- `data`: object (required) — Checkout conversion metrics timeseries with count, completed count, and rate for each datapoint.
  - `timeseries`: array (required) — Array of datapoints. Empty if `to` and `from` are the same.
  - `starts_at`: string (date-time) (required) — RFC 3339 datetime string for when this timeseries starts (inclusive).
  - `ends_at`: string (date-time) (required) — RFC 3339 datetime string for when this timeseries ends (exclusive).
  - `interval`: string (required) — Granularity for this timeseries.
  - `updated_at`: string (date-time) (required) — RFC 3339 datetime string of the last successful data refresh for this metric.
- `meta`: object (required) — Information about this response.
  - `request_id`: string (required) — Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.

### Response example

```json
{
  "data": {
    "timeseries": [
      {
        "timestamp": "2025-09-01T00:00:00Z",
        "count": 151,
        "completed_count": 5,
        "rate": "0.033113"
      },
      {
        "timestamp": "2025-09-02T00:00:00Z",
        "count": 66,
        "completed_count": 11,
        "rate": "0.166667"
      },
      {
        "timestamp": "2025-09-03T00:00:00Z",
        "count": 139,
        "completed_count": 12,
        "rate": "0.086331"
      },
      {
        "timestamp": "2025-09-04T00:00:00Z",
        "count": 210,
        "completed_count": 28,
        "rate": "0.133333"
      }
    ],
    "starts_at": "2025-09-01T00:00:00Z",
    "ends_at": "2025-09-05T00:00:00Z",
    "interval": "day",
    "updated_at": "2025-09-04T20:30:00Z"
  },
  "meta": {
    "request_id": "b93d9c94-c28f-4e5d-af2e-044854d7afe8"
  }
}
```
